Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jprotein.tree.tools
Class Tree

    java.lang.Object
      jprotein.tree.tools.Tree

    public class Tree

extends java.lang.Object

Field Summary
`static int` | `LEFT`
`static int` | `RIGHT`

Constructor Summary
`Tree()`

Method Summary
`Leaf` | `getLeaf(SimpleNode node, int direction)`
`Leaf` | `getLeaf(SimpleNode root, Sequence alignment)`
`java.util.Vector` | `getNodeDistance(SimpleNode root, double distance)`
`java.util.Vector` | `getNodePartition(SimpleNode root, double maxDistance)`
`double` | `getPathDistance(SimpleNode root, PathIndex pathIndex)`
`PathIndex` | `getPathIndex(SimpleNode root, Leaf leaf)`
`java.util.Vector` | `getTrace(java.util.Vector partition)`
`java.util.Vector` | `getTraceAnalysis(SimpleNode root)`
`double` | `getVertice(SimpleNode node, int direction)`
`void` | `moveRoot(SimpleNode root, PathIndex pathIndex, double distance)`
`int` | `opposite(int direction)`
`void` | `rootMidTree(SimpleNode root, Leaf leaf1, Leaf leaf2)`
`void` | `setLeaf(SimpleNode node, int direction, Leaf leaf)`
`void` | `setVertice(SimpleNode node, int direction, double distance)`
`void` | `shiftRoot(SimpleNode root, int direction1, int direction2)`
`void` | `translateRoot(SimpleNode root, int direction, double distance)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LEFT

    public static final int LEFT

See Also:
  Constant Field Values

### RIGHT

    public static final int RIGHT

See Also:
  Constant Field Values

Constructor Detail

### Tree

    public Tree()

Method Detail

### getLeaf

    public Leaf getLeaf(SimpleNode root,
                        Sequence alignment)

### getPathIndex

    public PathIndex getPathIndex(SimpleNode root,
                                  Leaf leaf)

### getPathDistance

    public double getPathDistance(SimpleNode root,
                                  PathIndex pathIndex)

### setLeaf

    public void setLeaf(SimpleNode node,
                        int direction,
                        Leaf leaf)

### getLeaf

    public Leaf getLeaf(SimpleNode node,
                        int direction)

### setVertice

    public void setVertice(SimpleNode node,
                           int direction,
                           double distance)

### getVertice

    public double getVertice(SimpleNode node,
                             int direction)

### rootMidTree

    public void rootMidTree(SimpleNode root,
                            Leaf leaf1,
                            Leaf leaf2)

### moveRoot

    public void moveRoot(SimpleNode root,
                         PathIndex pathIndex,
                         double distance)

### translateRoot

    public void translateRoot(SimpleNode root,
                              int direction,
                              double distance)

### shiftRoot

    public void shiftRoot(SimpleNode root,
                          int direction1,
                          int direction2)

### opposite

    public int opposite(int direction)

### getNodeDistance

    public java.util.Vector getNodeDistance(SimpleNode root,
                                            double distance)

### getNodePartition

    public java.util.Vector getNodePartition(SimpleNode root,
                                             double maxDistance)

### getTraceAnalysis

    public java.util.Vector getTraceAnalysis(SimpleNode root)

### getTrace

    public java.util.Vector getTrace(java.util.Vector partition)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD